Mise à jour vers SPIP Typo 0.3

Mise à jour de SPIP Typo, avec essentiellement des corrections de bogues.

Afin d’assurer la compatibilité de Spip Typo avec la future version du BBComposer, une mise à jour a été lancée. La mise à jour du BBComposer viendra un peu plus tard après traduction. Voici quelques rappels sur cette dernière.

Listes des fonctionnalités supplémentaires et bogues résolus pour les version 0.2 et 0.3 :

  • Suppression des listes de définition incompatibles avec Spip de la liste déroulante.
  • Bogue sur l’ajout d’ancre fixé.
  • Résolution du bogue de fermeture de la balise document comme s’il s’agissait d’une balise HTML (<doc1> => <doc1></doc1>). Remplacement par une icône.
  • Suppression du bogue de définition Wikipédia ([?definition] => [?nulldefinition]) des raccourcis typographiques avancés.
  • Résolution du bogue dû à une liste suivant un tableau (disparition de la liste).
  • Suppression du bogue de retour à la ligne (_ à la fin d’un bloc) et de l’espace insécable perdu (~).
  • Suppression des espaces dupliqués au sein des tableaux au bout d’un certain nombre d’éditions successives.
  • remplacer les boutons B et I par des boutons  !! et  ! à sens plus sémantique.
  • arrêt de la mise à jour en boucle qui sévissait chez les anciens utilisateurs de Spip Typo.

Liste des fonctionnalités héritées du BBComposer 0.7 :

  • Enregistrement, chargement de note. Enregistrement automatique pour récupération en cas de problème lors de l’édition. Ajout d’un bouton Stop pour fermer Spip Typo sans prendre en compte les changements.
  • Possibilité de charger une feuille de style personnalisée dans l’éditeur (voir les options).

Discussion

4 discussions

  • valerian

    bonjour !
    j’ai installé spip typo mais un probleme persiste... quand je veux mettre plusieurs espaces l’un à la suite de l’autre, ils sont remplacés par un seul espace...

    comment faire pour conserver plusieurs espaces ?

    merci d’avance pour votre réponse !

    Répondre à ce message

  • 1

    Bonjour,

    Il semble que Spip Typo supporte des extensions typographiques non supportées dans le SPIP de base (1.9.2a), comme par exemple {2{ }2} qui ne marche pas chez moi. Quel plugin peut-il installer pour les obtenir ?

    • Il faut installer la BTE. Je pense à réaliser un plugin Spip à installer côté serveur pour la gestion de l’upload et des raccourcis enrichis, mais je n’ai pas bcp de connaissance en plugin Spip.

      La prochaine version de Spip Typo permettra d’éditer en Typo Spip standard ou en Typo Spip BTE.

    Répondre à ce message

  • Bonjour,

    Il semble que Spip Typo supporte des extensions typographiques non supportées dans le SPIP de base (1.9.2a), comme par exemple 2 2 qui ne marche pas chez moi. Quel plugin peut-il installer pour les obtenir ?

    Répondre à ce message

  • super intéressant cet article... qui ne dit pas ce que c’est que Typo.

    Répondre à ce message

Ajouter un commentaire

Qui êtes-vous ?
  • [Se connecter]

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici

Ce champ accepte les raccourcis SPIP {{gras}} {italique} -*liste [texte->url] <quote> <code> et le code HTML <q> <del> <ins>. Pour créer des paragraphes, laissez simplement des lignes vides.

Ajouter un document

Suivre les commentaires : RSS 2.0 | Atom

Dernière modification de cette page le 3 août 2009